# $Revision: 1.11 $, $Date: 2004/05/06 18:20:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	CDF
Summary:	Math::CDF - probabilities and quantiles for several statistical functions
Summary(pl):	Math::CDF - prawdopodobiestwa i kwantyle dla niektrych funkcji statystycznych
Name:		perl-Math-CDF
Version:	0.1
Release:	2
# non-commercial because of some parts of DCDFLIB
License:	non-commercial
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7866c7b6b9d27f0ce4b7637334478ab7
Patch0:		%{name}-system-dcdflib.patch
BuildRequires:	dcdflib.c-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the DCDFLIB. Functions are
available for 7 continuous distributions (Beta, Chi-square, F, Gamma,
Normal, Poisson and T-distribution) and for two discrete distributions
(Binomial and Negative Binomial). Optional non-centrality parameters
are available for the Chi-square, F and T-distributions. Cumulative
probabilities are available for all 9 distributions and quantile
functions are available for the 7 continuous distributions.

%description -l pl
Ten modu udostpnia perlowy interfejs do biblioteki DCDFLIB. Dostpne
s funkcje dla 7 rozkadw cigych (Beta, Chi-kwadrat, F, Gamma,
normalnego, Poissona, t Studenta) oraz dwch dyskretnych (dwumianowego
i odwrotnego dwumianowego). Dostpne s opcjonalne parametry
niecentralnoci dla rozkadw Chi-kwadrat, F i t Studenta. Funkcje
rozkadu prawdopodobiestwa s dostpne dla wszystkich 9 rozkadw, a
funkcje kwantyli dla 7 cigych rozkadw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Math/CDF.pm
%dir %{perl_vendorarch}/auto/Math/CDF
%{perl_vendorarch}/auto/Math/CDF/CDF.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/CDF/CDF.so
%{perl_vendorarch}/auto/Math/CDF/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-CDF.spec,v $
Revision 1.11  2004/05/06 18:20:38  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/05 11:02:13  ankry
- cosmetics

Revision 1.9  2004/04/20 23:59:36  ankry
- ported to new bconds

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:20:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:24  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 00:42:37  qboosh
- new

